Installing and upgrading help

Can"t login afther updat 3.5.2+ 10-11-2018

 
Bas van Kollenburg
Can"t login afther updat 3.5.2+ 10-11-2018
 

Can"t login afther update 

Credentials are oke. 

When i request new paswoord i can change it and i am in.

When i logout and login again i can"t login 

What chance ?? Nobody can work Now

Before update everything worked

Gr Bas 

 


 
Average of ratings: -
Picture of Ken Task
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers

Screen shot shows from an android using Chrome?

Have you check server error logs for clues?  Might help to share some info about your server?  Linux/Windows, hosting, etc.

What happens if you use Chrome from a laptop/workstation?   What happens when you use another browser from a laptop/workstation ... like FireFox?

If it happens with Chrome from a laptop/workstation, then turn on debugging via the lines in config-dist.php (section 7) pasted into your active config.php file.

Once those lines are in place, try your workstation with Chrome and then also with Chrome from your android.

'spirit of sharing', Ken


 
Average of ratings: -
Picture of Remigijus Q
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Same problem. After upgrade from 3.5.2 to 3.5.2+ users can't login. Logs shows only php notice "Invalid Login Token: username"

Situation is solved via setting $CFG->disablelogintoken = true; but I'm not sure is this the right way.....


[Sat Nov 10 18:48:31.023407 2018] [php7:notice] [pid 13118] [client 192.168.50.254:47490] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Win

dows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:48:41.607562 2018] [php7:notice] [pid 13118] [client 192.168.50.254:47516] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Win

dows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:48:55.334276 2018] [php7:notice] [pid 3764] [client 192.168.50.254:47576] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Wind

ows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:49:21.427521 2018] [php7:notice] [pid 13429] [client 192.168.50.254:47642] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Win

dows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:49:23.112903 2018] [php7:notice] [pid 8505] [client 192.168.50.254:47652] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Wind


 
Average of ratings: -
Bas van Kollenburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

YES thanks solved by this line

 $CFG->disablelogintoken = true;

Thanks

Bas

 
Average of ratings: -
Picture of Luigi Ferrari
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

I have the same problem, updated Moodle from latest 3.5.2+ version to 3.5.3 and no login possible.
If a new password is required from administrator then every user can login newly.

Adding the line to the config.php file worked fine (I hope), but users complained that no useful indication was given. Furthermore, the majority of them are linked to the LDAP method, which has increased the confusion.

A bad figure that I would have avoided.
 
Average of ratings: -
Picture of Sera Zoli
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Thanks! This saved my day, after over an hour banging my head to the wall.
I got the latest version of the Moove theme active and updated Moodle to 2.5.3.

 
Average of ratings: -
Picture of Gytis Cibulskis
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Can someone from MOODLE developers explain what exactly this setting $CFG->disablelogintoken = true  does? Could it have any other impact to Moodle functionality, webservices, security? 

We have multiple Moodle instances where this problem occurred after recent update and need to be sure that disabling this login token will have no negative consequences in the future. 

 
Average of ratings: Useful (1)
Picture of Alain Raap
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers
I have the same problem, updated Moodle from latest 3.5.2+ version to 3.5.3 and no login possible.
Cleared caches and that didn't help too. Same error:  "Invalid Login Token: [my username]"
 
Average of ratings: -
Bas van Kollenburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Add line to your config.sys 

 
Average of ratings: -
Picture of Alain Raap
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers

I just did, but is that a workaround? What changed in the new version that it's not possible to login anymore?

Update:  I changed my theme to an older theme and then it worked again without the workaround.
This might be a problem in the login page?

 
Average of ratings: -
Picture of Gytis Cibulskis
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Yes, apparently it's a problem of Fordson theme we use.  

Do you also use Fordson?

 
Average of ratings: -
Picture of Alain Raap
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers

No, we are developing a new theme, that new version caused the problem with the upgrade

 
Average of ratings: -
Picture of Chris Kenniburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful MoodlersPlugin developers

I was just made aware of this and I think I have a solution.  I will be releasing an Update to the Fordson theme shortly.  

<input type="hidden" name="logintoken" value="{{logintoken}}">

This line above needs to be included in the mustache templates for any of the login elements.  


Look for a fix later today.


Chris

 
Average of ratings: Useful (1)
Picture of Paul Roberts
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Having similar problem after upgrade, only the message I get is:

"Exception - Call to undefined function tool_dataprivacy_standard_footer_html()"

There was a warning concerning php version while upgrading. Is this a problem?

 
Average of ratings: -
Picture of Chris Kenniburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful MoodlersPlugin developers

What theme is giving you this issue?

 
Average of ratings: -
Picture of Chris Kenniburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful MoodlersPlugin developers

The update 14 should fix this issue in the Fordson theme.  See the release notes for a list of what we did. Seeing that people could not login this was a bit of a rush job but should solve the issue of invalid login tokens.

https://moodle.org/plugins/pluginversions.php?plugin=theme_fordson


 
Average of ratings: -
Picture of Paul Roberts
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Not sure if we are talking about the same details of this issue, but am using the default theme, whatever that is.

I attempted to install the Fordson theme, with little change. Still unable to log in and same message is being displayed:  

"Exception - Call to undefined function tool_dataprivacy_standard_footer_html()"

 
Average of ratings: -
Picture of Emma Richardson
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Documentation writersParticularly helpful MoodlersPlugin developers

This is actually I think a different issue to the login issue that so many have been having.  How exactly did you upgrade?

 
Average of ratings: -
Picture of Chris Kenniburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful MoodlersPlugin developers
One more release coming shortly will restore the custom login form on the site homepage.  Sorry that we removed it in a rush to help others.  Final fix will be in Update 15 of Fordson.


https://moodle.org/plugins/pluginversions.php?plugin=theme_fordson

Final fix has been published and should address the new token login issue for Moodle v3.5.3 and moving forward.

This was very useful and we just got an email about it a few minutes ago:  https://docs.moodle.org/dev/Login_token

The login token doc helped fix the custom login form on the site home which is why we published a new version right away.  

Chris

 
Average of ratings: Useful (2)
Picture of Preet kaur
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 
What happens when you use another browser from a laptop/workstation ... like FireFox?
 
Average of ratings: -
Picture of Paul Roberts
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

There seems to be no difference for each of the browsers. I have tried Chrome, Firefox, and IE.


 
Average of ratings: -
Picture of Paul Roberts
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

I just restored the backup that I made immediately before attempting to install the upgrade. I see no differences. Cannot log in and am still getting the message:

Exception - Call to undefined function tool_dataprivacy_standard_footer_html()

and this error message:

[MAIN CONTENT GOES HERE - FKubOi2Ifj]

We have an online course session scheduled for this Saturday and I would really appreciate it if someone could help me so that we will not miss this session.

 
Average of ratings: -
Picture of Paul Roberts
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

I have included

$CFG->disablelogintoken = true;

in the config.php file. No change.

 
Average of ratings: -
Picture of Chris Kenniburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful MoodlersPlugin developers

Hello Paul,

I was able to reproduce your error when working on a dev site.  It seems like you might have tried to upgrade and maybe tried to revert back.  In any case, this specific issue you describe went away when I manually went to the server folder and deleted the cache files.  They are in the Moodle Data folder on your server.  

Would be worth a try at this point.  

 
Average of ratings: -
Picture of Paul Roberts
Re: Moodle in English: Re: Can"t login afther updat 3.5.2+ 10-11-2018
 
It worked great.



When I upgrade to the next version the system complains about the database

and that the php version is incorrect. I have just ignored these warnings

as I am unsure about how to make these changes. Any suggestions?



On Wed, Nov 14, 2018 at 2:30 PM Chris Kenniburg (via Moodle.org) <
 
Average of ratings: -
Picture of Chris Kenniburg
Re: Moodle in English: Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful MoodlersPlugin developers

Without knowing your server specs I'm not sure what to recommend.  Do you have the actual error?  Php version could mean you cannot upgrade until you update your server.  

Plugin Version is most likely a database/ failed or stopped upgrade issue.  

Without concrete error messages I would be hesitant to offer any more advice.  

If you stopped or failed during an upgrade of Moodle you should consider completing the process.

 
Average of ratings: -
Picture of Paul Roberts
Re: Moodle in English: Re: Can"t login afther updat 3.5.2+ 10-11-2018
 
Should I go ahead with the upgrade to version 3.5.3+?



I am afraid that the same thing as before will happen.
 
Average of ratings: -
Picture of Debbie Unterseher
Re: Moodle in English: Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

So what I had to do to fix this problem was to change the theme to something else - such as Boost, and then update Moodle to the latest version.  Then update Fordson to the latest version. And then set the theme back to Fordson.

 
Average of ratings: -
Picture of Alain Raap
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers

Paul, did you also restore a backup of the database? A change in the database table could cause your problem.

 
Average of ratings: -
Picture of Jens Westermann
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Hi,


we got this problem after updating to 3.5.3+

Login isn't possible at the first try, the second try always works. Using the theme Adaptable, will wait for Adaptable update.


 
Average of ratings: -